CodonPrefFilter.ByName (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.CodonPrefFilter.ByName class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class CodonPrefFilter.ByName

    java.lang.Object
      org.biojava.bio.symbol.CodonPrefFilter.ByName

All Implemented Interfaces:
  CodonPrefFilter

Enclosing interface:
  CodonPrefFilter

    public static class CodonPrefFilter.ByName

extends Object
implements CodonPrefFilter

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.symbol.CodonPrefFilter
`CodonPrefFilter.AcceptAll, CodonPrefFilter.ByName, CodonPrefFilter.EverythingToXML`

Constructor Summary
`CodonPrefFilter.ByName(String name)`

Method Summary
`CodonPref` | `getCodonPref()`
`boolean` | `isRequired(String name)` indicates if the current CodonPref is to be accepted
`void` | `put(CodonPref codonPref)` handles storage of a CodonPref object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodonPrefFilter.ByName

    public CodonPrefFilter.ByName(String name)

Method Detail

### isRequired

    public boolean isRequired(String name)

  Description copied from interface: `CodonPrefFilter`
  indicates if the current CodonPref is to be accepted

  Specified by:
    `isRequired` in interface `CodonPrefFilter`

### put

    public void put(CodonPref codonPref)
             throws BioException

  Description copied from interface: `CodonPrefFilter`
  handles storage of a CodonPref object

  Specified by:
    `put` in interface `CodonPrefFilter`
  Throws:
    `BioException`

### getCodonPref

    public CodonPref getCodonPref()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD